#include <bits/stdc++.h>

using namespace std;

int N1, N2, resultado=0;

int main(){
    cin>>N1;

    while (N1 != 0)
    {
        string palavra1;
        cin>>palavra1;

        cin>>N2;
        string palavra2;
        cin>>palavra2;



        for (int a = 0; a < N1; a++)
        {
            if (palavra1[a] == palavra2[a])
            {
                resultado++;
            }
            else if (palavra1[a] != palavra2[a]) {
                //cout<<resultado;
                a=N1;
            
            }
        }

        cout<<resultado<<endl;
        resultado = 0;
        cin>>N1;

        }
        
        return 0;
    }
        
    
